/**
 * 替换掉匹配的数组元素
 * @param item
 * @param match
 * @returns {number}
 */
Array.prototype.replace = function (item, match) {
    for (let i=0; i<this.length; i++) {
        if (match(this[i])) {
            this[i] = item;
            return i;
        }
    }
    return -1;
}

/**
 * 从数组中删除第一个匹配的元素
 * @param match
 * @returns {boolean}
 */
Array.prototype.remove = function (match) {
    for (let i=0; i<this.length; i++) {
        if (match(this[i])) {
            this.splice(i, 1);
            return true;
        }
    }
    return false;
}

export default Array;